// Persistence of Vision Ray Tracer Scene Description File
// File: *.pov
// Vers: 3.1
// Auth: Porrey

global_settings { assumed_gamma 2.2 }
#default { pigment { color rgb 1 } finish { ambient .4 diffuse .6 phong 0 } }

#include "colors.inc"
#include "textures.inc"
#include "shapes.inc"
#include "rp.inc" // "rp2.inc" = Bestandteil von rp.inc

#declare Scale = 10;
#declare Direction = 1; // 1, 2, ...
#declare Camera_Position = <-1.0, 3.0,-9*Direction >*Scale;
#declare Camera_lookat =   < 0.0, 4.0, 0.0 >*Scale;

camera { location Camera_Position
         direction z*Direction up y*4/3 right x
         look_at  Camera_lookat }

background { color rgb .5 }
// Blitzlicht
light_source{ Camera_Position color rgb < 0.9, 0.9, 1>*0.2 }

light_source	{ < -1000, 1000,-1000 >*Scale Weiss*.7 }
light_source	{ <  1000,  500,  500 >*Scale Weiss*.4 }

#include "sPatch_Pyramide1.inc" object { Plattformen scale Scale }
#include "sPatch_Pyramide2.inc" object { Saeulen scale Scale }
#include "sPatch_Pyramide3.inc" object { Holzkugeln scale Scale }
#include "sPatch_Pyramide4.inc" object { Kerzenhalter scale Scale }
#include "sPatch_Pyramide5.inc" object { Achse scale Scale }
#include "sPatch_Pyramide6.inc" object { Rotationsteil scale Scale }
#include "sPatch_Pyramide7.inc" object { Kerzen scale Scale }
#include "sPatch_Pyramide8.inc" object { Docht translate y*.05 scale Scale }
#include "sPatch_Pyramide9.inc" object { Flamme scale Scale }

plane { y, .0 pigment { checker Weiss*.5, Weiss*.6 scale Scale } finish { phong 1 reflection .2 } }
fog { fog_type 1 distance 20*Scale color Weiss*.15 fog_offset 1 fog_alt 1 turbulence 0.8 }

#include "max.inc"
#include "max_einz.inc"
#include "max_te.inc"
#include "max_en.inc"
#include "max_ma.inc"
#include "max_mo.inc"
#include "max_wi.inc"
#include "max_pu.inc"
#include "max_we.inc"
#include "max_kn.inc"
#include "max_et.inc"
#include "max_kg.inc"
#include "max_smann.inc"
#include "max_sfrau.inc"

// oben
object { SMann                 scale .2 translate < 0.0, 5.1,-0.75 > rotate y*120*0 scale Scale }
object { SFrau                 scale .2 translate < 0.0, 5.1,-0.75 > rotate y*120*1 scale Scale }
object { Weih                  scale .2 translate < 0.0, 5.1,-0.75 > rotate y*120*2 scale Scale }

// mitte
object { Teufel    rotate y*90 scale .2 translate < 0.0, 3.0,-0.8  > rotate y*90*0 scale Scale }
object { Engel     rotate y*90 scale .2 translate < 0.0, 3.0,-0.8  > rotate y*90*1 scale Scale }
object { Koenig    rotate y*90 scale .2 translate < 0.0, 3.0,-0.8  > rotate y*90*2 scale Scale }
object { Koenigin  rotate y*90 scale .2 translate < 0.0, 3.0,-0.8  > rotate y*90*3 scale Scale }

// unten
object { Max       rotate y*90 scale .2 translate < 0.0, 0.8,-1.0  > rotate y*72*0 scale Scale }
object { Moritz    rotate y*90 scale .2 translate < 0.0, 0.8,-1.0  > rotate y*72*1 scale Scale }
object { Winne     rotate y*90 scale .2 translate < 0.0, 0.8,-1.0  > rotate y*72*2 scale Scale }
object { Punky     rotate y*90 scale .2 translate < 0.0, 0.8,-1.0  > rotate y*72*3 scale Scale }
object { ET        rotate y*90 scale .2 translate < 0.0, 0.8,-1.0  > rotate y*72*4 scale Scale }


#declare camera_location = Camera_Position; #declare camera_look_at = Camera_lookat; #declare effect_location = < 0.00, 1.95,-2.250 >*Scale; #declare effect_scale = .5; #declare effect_intensity = .75 ; #declare effect_type = "CANDLE" #include "LENS.INC"
#declare camera_location = Camera_Position; #declare camera_look_at = Camera_lookat; #declare effect_location = <-1.95, 1.95,-1.125 >*Scale; #declare effect_scale = .5; #declare effect_intensity = .75 ; #declare effect_type = "CANDLE" #include "LENS.INC"
#declare camera_location = Camera_Position; #declare camera_look_at = Camera_lookat; #declare effect_location = < 1.95, 1.95,-1.125 >*Scale; #declare effect_scale = .5; #declare effect_intensity = .75 ; #declare effect_type = "CANDLE" #include "LENS.INC"
#declare camera_location = Camera_Position; #declare camera_look_at = Camera_lookat; #declare effect_location = <-1.95, 1.95, 1.125 >*Scale; #declare effect_scale = .5; #declare effect_intensity = .75 ; #declare effect_type = "CANDLE" #include "LENS.INC"
#declare camera_location = Camera_Position; #declare camera_look_at = Camera_lookat; #declare effect_location = < 1.95, 1.95, 1.125 >*Scale; #declare effect_scale = .5; #declare effect_intensity = .75 ; #declare effect_type = "CANDLE" #include "LENS.INC"
#declare camera_location = Camera_Position; #declare camera_look_at = Camera_lookat; #declare effect_location = < 0.00, 1.95, 2.250 >*Scale; #declare effect_scale = .5; #declare effect_intensity = .75 ; #declare effect_type = "CANDLE" #include "LENS.INC"

